<style type="text/css">
		<!--
		A:link        {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:visited     {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: none; color: #0000ff}
		A:hover       {font-family: helvetica, arial, geneva, sans-serif; font-size: x-small; text-decoration: underline; color: #FF0000}
		th            {font-family: helvetica, arial; color : blue; font-size:85%; background : lightgrey; border-right:black solid 1pt; border-bottom:black solid 1pt;}
		//-->
		</style><hr><a name="_C_LINEARTICKS"><div style="background-color:yellow;font-family:courier new;"></a>CLASS <b>LinearTicks</b> EXTENDS <a href="Ticks.html#_C_TICKS" style="font-face:arial;font-weight:bold;">Ticks</a></div>
<i>(Defined in: jpgraph.php : 4267)</i><table border=1><tr><td>&nbsp;<a href="LinearTicks.html" style="font-family:arial;font-weight:bold;color:darkblue;">LinearTicks</a>&nbsp;</td><td>&nbsp;<a href="Ticks.html" style="font-family:arial;font-weight:bold;color:darkblue;">Ticks</a>&nbsp;</td></tr><tr><td valign=top>&nbsp;<a href="LinearTicks.html#_LINEARTICKS_GETMAJOR">GetMajor()</a>&nbsp;<br>
&nbsp;<a href="LinearTicks.html#_LINEARTICKS_GETMINOR">GetMinor()</a>&nbsp;<br>
&nbsp;<a href="LinearTicks.html#_LINEARTICKS_SET">Set()</a>&nbsp;<br>
&nbsp;<a href="LinearTicks.html#_LINEARTICKS_SETTEXTLABELSTART">SetTextLabelStart()</a>&nbsp;<br>
</td><td valign=top><a href="Ticks.html#_TICKS_SET" style="color:darkgrey;">Set()&nbsp;</a><br>
&nbsp;<a href="Ticks.html#_TICKS_SETCOLOR">SetColor()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETFORMATCALLBACK">SetFormatCallback()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETLABELFORMAT">SetLabelFormat()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETSIDE">SetSide()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETSIZE">SetSize()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SETWEIGHT">SetWeight()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSFIRST">SupressFirst()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSLAST">SupressLast()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSMINORTICKMARKS">SupressMinorTickMarks()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSTICKMARKS">SupressTickMarks()</a>&nbsp;<br>
&nbsp;<a href="Ticks.html#_TICKS_SUPRESSZEROLABEL">SupressZeroLabel()</a>&nbsp;<br>
</td></tr></table>&nbsp;<p><div style="font-weight:bold;font-family:arial;font-size:100%;">Class usage and Overview</div>Internal class that handles the drawing and formatting of the tick marks on each axis. This class is accessed through it'sinstance variable in the scale, e.g. 
<p>
$graph->xaxis->scale->ticks->Set(20,10);
<p>
<b>Note:</b> When you manually specify a scale you must also specify the major/minor tick intervall. <p> &nbsp;
<div style="font-weight:bold;font-family:arial;font-size:85%;">See also related classes:</div><a href="LinearScale.html">LinearScale</a> and <a href="LogScale.html">LogScale</a> <p> &nbsp;<hr><span style="font-family:arial;font-size:120%;font-weight:bold;">Class Methods</span><hr><p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_LINEARTICKS_GETMAJOR"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">GetMajor</font><font color="#007700">()</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Return major step size in world coordinates</i></span><p>
<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Return major step size in world coordinates&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$majintervall&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">xaxis</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">ticks</font><font color="#007700">-&gt;</font><font color="#0000BB">Getmajor</font><font color="#007700">();</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_LINEARTICKS_GETMINOR"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">GetMinor</font><font color="#007700">()</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>// Return minor step size in world coordinates</i></span><p>
<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Return minor step size in world coordinates.&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$majintervall&nbsp;</font><font color="#007700">=&nbsp;</font><font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">xaxis</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">ticks</font><font color="#007700">-&gt;</font><font color="#0000BB">Getmajor</font><font color="#007700">();</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_LINEARTICKS_SET"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">Set</font><font color="#007700">(</font><font color="#0000BB">$aMajStep</font><font color="#007700">,</font><font color="#0000BB">$aMinStep</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>// Set Minor and Major ticks (in world coordinates)</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aMajStep</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>Distance between major tick marks</td></tr>

<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aMinStep</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">false</font>
</font>
</td><td>Distance between minor tick marks</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Set Minor and Major tick intervall (in world coordinates)&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">yaxis</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">ticks</font><font color="#007700">-&gt;</font><font color="#0000BB">Set</font><font color="#007700">(</font><font color="#0000BB">40</font><font color="#007700">,</font><font color="#0000BB">20</font><font color="#007700">);</font><font color="#0000BB"></font>
</font>
</span><br>
<p>
<p>&nbsp; <p> &nbsp; <span style='font-size:110%;'><a name="_LINEARTICKS_SETTEXTLABELSTART"><div style="border-top:solid black 2pt;background-color:lightblue;font-family:courier new;font-size:90%;font-weight:bold;"><b><font color="#000000">
<font color="#0000BB"></font><font color="#007700">function&nbsp;</font><font color="#0000BB">SetTextLabelStart</font><font color="#007700">(</font><font color="#0000BB">$aTextLabelOff</font><font color="#007700">)</font><font color="#0000BB"></font>
</font>
</b></div></a></span>

<span style='font-family:arial;font-size:90%;'><i>Which tick label should we start with?</i></span><p>

<table cellspacing=0 style='border:black solid 1pt;' width=100%>
<tr><th width=25%>Argument</th><th width=15%>Default</th><th width=60%>Description</th></tr>
<tr><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'><font color="#000000">
<font color="#0000BB">$aTextLabelOff</font>
</font>

</td><td style='border-right:black solid 1pt;font-family:courier;font-size:90%;font-weight:bold;'>&nbsp;</td><td>The number thaht the automatic textscale should start with.</td></tr>
</table>

<div style="font-weight:bold;font-family:arial;font-size:85%;">Description</div>Normally text labels start at 0. However, automtic text labels can be started with an arbitrary number as specified with the argument to this method.
&nbsp;<br>

<div style="font-weight:bold;font-family:arial;font-size:85%;"><p>Example</div><span style="font-family:courier;font-size:85%;"><font color="#000000">
<font color="#0000BB">$graph</font><font color="#007700">-&gt;</font><font color="#0000BB">xaxis</font><font color="#007700">-&gt;</font><font color="#0000BB">scale</font><font color="#007700">-&gt;</font><font color="#0000BB">ticks</font><font color="#007700">-&gt;</font><font color="#0000BB">SetTextLabelStart</font><font color="#007700">(</font><font color="#0000BB">10</font><font color="#007700">);<br /></font><font color="#0000BB"></font>
</font>
</span><br>
<p> <hr> <p>